Index: /trunk/SRC/Calendar/.idlwave_catalog
===================================================================
--- /trunk/SRC/Calendar/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/Calendar/.idlwave_catalog	(revision 288)
@@ -7,9 +7,9 @@
 (setq idlwave-library-catalog-routines
  '(("caldat" pro nil (lib "caldat.pro" nil "saxo") "%s, julian, month, day, year, hour, minute, second" (nil ("NDAYSPM")))
-   ("date2jul" fun nil (lib "date2jul.pro" nil "saxo") "Result = %s(date)" (nil ("GRADS")))
+   ("date2jul" fun nil (lib "date2jul.pro" nil "saxo") "Result = %s(date)" (nil ("DAY") ("GRADS") ("HOUR") ("MINUTE") ("MONTH") ("SECOND") ("YEAR")))
    ("date2string" fun nil (lib "date2string.pro" nil "saxo") "Result = %s(yyyymmdd)" (nil ("_EXTRA")))
    ("daysinmonth" fun nil (lib "daysinmonth.pro" nil "saxo") "Result = %s(month, year)" (nil))
-   ("jul2date" fun nil (lib "jul2date.pro" nil "saxo") "Result = %s(jday)" (nil))
-   ("julday" fun nil (lib "julday.pro" nil "saxo") "Result = %s(MONTH, DAY, YEARin, Hour, Minute, Second)" (nil ("NDAYSPM")))
+   ("jul2date" fun nil (lib "jul2date.pro" nil "saxo") "Result = %s(jday)" (nil ("DAY") ("HOUR") ("MINUTE") ("MONTH") ("SECOND") ("YEAR")))
+   ("julday" fun nil (lib "julday.pro" nil "saxo") "Result = %s(month, day, yearin, hour, minute, second)" (nil ("NDAYSPM")))
    ("leapyr" fun nil (lib "leapyr.pro" nil "saxo") "Result = %s(year)" (nil))
    ("monthname" fun nil (lib "monthname.pro" nil "saxo") "Result = %s(month)" (nil ("_EXTRA")))))
Index: /trunk/SRC/Grid/.idlwave_catalog
===================================================================
--- /trunk/SRC/Grid/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/Grid/.idlwave_catalog	(revision 288)
@@ -8,5 +8,5 @@
  '(("changemsk" fun nil (lib "changemsk.pro" nil "saxo") "Result = %s(tab)" (nil ("CELLSIZE")))
    ("checkperio" pro nil (lib "checkperio.pro" nil "saxo") "%s, file" (nil ("WRITE")))
-   ("computegrid" pro nil (lib "computegrid.pro" nil "saxo") "%s, startx, starty, stepxin, stepyin, nxin, nyin" (nil ("_EXTRA") ("FBASE2TBASE") ("FULLCGRID") ("GLAMBOUNDARY") ("MASK") ("ONEARTH") ("PERIODIC") ("PLAIN") ("ROMSH") ("SHIFT") ("STRCALLING") ("STRIDE") ("UBASE2TBASE") ("VBASE2TBASE") ("XAXIS") ("XMAXMESH") ("XMINMESH") ("XYINDEX") ("YAXIS") ("YMAXMESH") ("YMINMESH") ("ZAXIS") ("ZMAXMESH") ("ZMINMESH")))
+   ("computegrid" pro nil (lib "computegrid.pro" nil "saxo") "%s, startx, starty, stepxin, stepyin, nxin, nyin" (nil ("_EXTRA") ("FBASE2TBASE") ("FULLCGRID") ("GLAMBOUNDARY") ("MASK") ("ONEARTH") ("PERIODIC") ("PLAIN") ("ROMSH") ("SHIFT") ("STRCALLING") ("STRIDE") ("UBASE2TBASE") ("VBASE2TBASE") ("XAXIS") ("XMAXMESH") ("XMINMESH") ("XYINDEX") ("YAXIS") ("YMAXMESH") ("YMINMESH") ("YREVERSE") ("ZAXIS") ("ZMAXMESH") ("ZMINMESH") ("ZREVERSE")))
    ("ncdf_transfer" pro nil (lib "micromeshmask.pro" nil "saxo") "%s, inid, outid, inname, outname" (nil))
    ("micromeshmask" pro nil (lib "micromeshmask.pro" nil "saxo") "%s, ncfilein, ncfileout" (nil ("IODIR")))
Index: /trunk/SRC/Interpolation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Interpolation/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/Interpolation/.idlwave_catalog	(revision 288)
@@ -14,17 +14,19 @@
    ("cutpar" fun nil (lib "cutpar.pro" nil "saxo") "Result = %s(x0, y0, x1, y1, x2, y2, x3, y3, n)" (nil ("ENDPOINTS") ("ONSPHERE")))
    ("cutsegment" fun nil (lib "cutsegment.pro" nil "saxo") "Result = %s(x0, y0, x1, y1, n)" (nil ("ENDPOINTS") ("ONSPHERE")))
-   ("extrapolate" fun nil (lib "extrapolate.pro" nil "saxo") "Result = %s(zinput, maskinput, nb_iteration)" (nil ("GE0") ("MAXVAL") ("MINVAL") ("x_periodic")))
-   ("extrapsmooth" fun nil (lib "extrapsmooth.pro" nil "saxo") "Result = %s(in, mskin)" (nil ("GE0") ("MAXVAL") ("MINVAL") ("x_periodic")))
-   ("fromirr" fun nil (lib "fromirr.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, mskin, lonout, latout, mskout)" (nil ("ADDR") ("WEIG")))
-   ("fromreg" fun nil (lib "fromreg.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, lonout, latout)" (nil ("ADDR") ("NONORTHERNLINE") ("NOSOUTHERNLINE") ("WEIG")))
+   ("extrapolate" fun nil (lib "extrapolate.pro" nil "saxo") "Result = %s(zinput, maskinput, nb_iteration)" (nil ("_EXTRA") ("GE0") ("MAXVAL") ("MINVAL") ("X_PERIODIC")))
+   ("extrapsmooth" fun nil (lib "extrapsmooth.pro" nil "saxo") "Result = %s(in, mskin)" (nil ("_EXTRA") ("GE0") ("MAXVAL") ("MINVAL") ("X_PERIODIC")))
+   ("call_interp2d" fun nil (lib "file_interp.pro" nil "saxo") "Result = %s(data, inlon, inlat, inmask, outlon, outlat)" (nil ("_extra") ("ADDR") ("INIRR") ("METHOD") ("NAN_VALUE") ("SMOOTH") ("WEIG")))
+   ("file_interp" pro nil (lib "file_interp.pro" nil "saxo") "%s, filein, fileout, gridout" (nil ("_EXTRA") ("ADDR") ("GRIDIN") ("INADDSCL_BEFORE") ("ININVMASK") ("INMASKNAME") ("INMISSING_VALUE") ("INUSEASMASK") ("INXAXISNAME") ("INYAXISNAME") ("KEEP") ("MASKIN") ("MASKOUT") ("METHOD") ("NAN_VALUE") ("OUTADDSCL_BEFORE") ("OUTINVMASK") ("OUTMASKNAME") ("OUTMISSING_VALUE") ("OUTUSEASMASK") ("OUTXAXISNAME") ("OUTYAXISNAME") ("REMOVE") ("SET_XAXISNAME") ("SET_XDIMNAME") ("SET_YAXISNAME") ("SET_YDIMNAME") ("SMOOTH") ("WEIG")))
+   ("fromirr" fun nil (lib "fromirr.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, mskin, lonout, latout, mskout)" (nil ("_EXTRA") ("ADDR") ("WEIG")))
+   ("fromreg" fun nil (lib "fromreg.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, lonout, latout)" (nil ("_EXTRA") ("ADDR") ("NONORTHERNLINE") ("NOSOUTHERNLINE") ("WEIG")))
    ("get_gridparams" pro nil (lib "get_gridparams.pro" nil "saxo") "%s, in1, in2, in3, in4, in5, in6, in7, in8" (nil ("DOUBLE")))
    ("imoms3" fun nil (lib "imoms3.pro" nil "saxo") "Result = %s(xin)" (nil))
    ("inquad" fun nil (lib "inquad.pro" nil "saxo") "Result = %s(x, y, x1, y1, x2, y2, x3, y3, x4, y4)" (nil ("DOUBLE") ("NEWCOORD") ("NOPRINT") ("ONSPHERE") ("ZOOMRADIUS")))
    ("inrecgrid" fun nil (lib "inrecgrid.pro" nil "saxo") "Result = %s(x1d, y1d, left, bottom)" (nil ("CHECKOUT") ("OUTPUT2D")))
-   ("lbcorca" fun nil (lib "lbcorca.pro" nil "saxo") "Result = %s(arr, grid, psign)" (nil ("correction") ("verbose")))
+   ("lbcorca" fun nil (lib "lbcorca.pro" nil "saxo") "Result = %s(arr, grid, psign)" (nil ("CORRECTION") ("VERBOSE")))
    ("ll_narcs_distances" fun nil (lib "ll_narcs_distances.pro" nil "saxo") "Result = %s(lon0, lat0, arc_dist, az)" (nil ("DEGREES")))
    ("map_npoints" fun nil (lib "map_npoints.pro" nil "saxo") "Result = %s(lon0, lat0, lon1, lat1)" (nil ("AZIMUTH") ("MIDDLE") ("RADIANS") ("RADIUS") ("TWO_BY_TWO")))
    ("neighbor" fun nil (lib "neighbor.pro" nil "saxo") "Result = %s(p0lon, p0lat, neighlon, neighlat)" (nil ("DISTANCE") ("RADIANS") ("SPHERE")))
-   ("quadrilateral2square" fun nil (lib "quadrilateral2square.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil ("PERF")))
+   ("quadrilateral2square" fun nil (lib "quadrilateral2square.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil ("DOUBLE") ("PERF")))
    ("spl_fstdrv" fun nil (lib "spl_fstdrv.pro" nil "saxo") "Result = %s(x, y, yscd, x2)" (nil))
    ("pure_concave" fun nil (lib "spl_incr.pro" nil "saxo") "Result = %s(x1, x2, y1, y2, der2, x)" (nil))
@@ -32,3 +34,3 @@
    ("spl_incr" fun nil (lib "spl_incr.pro" nil "saxo") "Result = %s(x, y, x2)" (nil ("YP0") ("YPN_1")))
    ("spl_keep_mean" fun nil (lib "spl_keep_mean.pro" nil "saxo") "Result = %s(x, yin, x2)" (nil ("GE0") ("YP0") ("YPN_1")))
-   ("square2quadrilateral" fun nil (lib "square2quadrilateral.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil))))
+   ("square2quadrilateral" fun nil (lib "square2quadrilateral.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil ("DOUBLE")))))
Index: /trunk/SRC/Matrix/.idlwave_catalog
===================================================================
--- /trunk/SRC/Matrix/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/Matrix/.idlwave_catalog	(revision 288)
@@ -8,11 +8,11 @@
  '(("cmapply_product" fun nil (lib "cmapply.pro" nil "saxo") "Result = %s(x)" (nil))
    ("cmapply_redim" pro nil (lib "cmapply.pro" nil "saxo") "%s, newarr, dimapply, dimkeep, nkeep, totcol, totkeep" (nil))
-   ("cmapply" fun nil (lib "cmapply.pro" nil "saxo") "Result = %s(op, array, dimapply)" (nil ("double") ("functargs") ("nocatch") ("type")))
+   ("cmapply" fun nil (lib "cmapply.pro" nil "saxo") "Result = %s(op, array, dimapply)" (nil ("DOUBLE") ("FUNCTARGS") ("NOCATCH") ("TYPE")))
    ("cmset_op_uniq" fun nil (lib "cmset_op.pro" nil "saxo") "Result = %s(a)" (nil))
-   ("cmset_op" fun nil (lib "cmset_op.pro" nil "saxo") "Result = %s(a, op0, b)" (nil ("count") ("empty1") ("empty2") ("index") ("maxarray") ("not1") ("not2")))
+   ("cmset_op" fun nil (lib "cmset_op.pro" nil "saxo") "Result = %s(a, op0, b)" (nil ("COUNT") ("EMPTY1") ("EMPTY2") ("INDEX") ("MAXARRAY") ("NOT1") ("NOT2")))
    ("different" fun nil (lib "different.pro" nil "saxo") "Result = %s(a, b)" (nil))
    ("extrac2" fun nil (lib "extrac2.pro" nil "saxo") "Result = %s(array, index1, index2, index3, index4)" (nil))
    ("inter" fun nil (lib "inter.pro" nil "saxo") "Result = %s(a, b)" (nil))
-   ("make_selection" fun nil (lib "make_selection.pro" nil "saxo") "Result = %s(names, selnames)" (nil ("only_valid") ("quiet") ("required")))
+   ("make_selection" fun nil (lib "make_selection.pro" nil "saxo") "Result = %s(names, selnames)" (nil ("ONLY_VALID") ("QUIET") ("REQUIRED")))
    ("union" fun nil (lib "union.pro" nil "saxo") "Result = %s(a, b)" (nil))
    ("zero_one" fun nil (lib "zero_one.pro" nil "saxo") "Result = %s(n1, n2)" (nil))))
Index: /trunk/SRC/ReadWrite/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 288)
@@ -6,6 +6,8 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("ncdf_getaxis" pro nil (lib "ncdf_getaxis.pro" nil "saxo") "%s, cdfid, dimidx, dimidy, xaxis, yaxis" (nil ("_EXTRA") ("ROMSGRID") ("START1") ("XAXISNAME") ("XDIMNAME") ("XYINDEX") ("YAXISNAME") ("YDIMNAME")))
-   ("ncdf_timeget" fun nil (lib "ncdf_timeget.pro" nil "saxo") "Result = %s(cdfid, timeid)" (nil ("_EXTRA") ("YYYYMMDD")))
+ '(("ncdf_getatt" pro nil (lib "ncdf_getatt.pro" nil "saxo") "%s, fileid, varid" (nil ("add_offset") ("calendar") ("missing_value") ("scale_factor") ("units")))
+   ("ncdf_getaxis" pro nil (lib "ncdf_getaxis.pro" nil "saxo") "%s, fileid, dimidx, dimidy, xaxis, yaxis" (nil ("_EXTRA") ("ROMSGRID") ("START1") ("XAXISNAME") ("XDIMNAME") ("XYINDEX") ("YAXISNAME") ("YDIMNAME")))
+   ("ncdf_getmask" fun nil (lib "ncdf_getmask.pro" nil "saxo") "Result = %s(fileid)" (nil ("_EXTRA") ("ADDSCL_BEFORE") ("MASKNAME") ("MISSING_VALUE") ("USEASMASK")))
+   ("ncdf_gettime" fun nil (lib "ncdf_gettime.pro" nil "saxo") "Result = %s(filename, cdfid)" (nil ("_EXTRA") ("CALLER") ("ERR") ("TIMEVAR")))
    ("read_grads" fun nil (lib "read_grads.pro" nil "saxo") "Result = %s(var, date1, date2)" (nil ("_EXTRA") ("BOX") ("EVERYTHING") ("FILENAME") ("NOSTRUCT") ("TIMESTEP")))
    ("read_oasis" fun nil (lib "read_oasis.pro" nil "saxo") "Result = %s(filename, varname, jpi, jpj)" (nil ("I2") ("I4") ("I8") ("R4")))
@@ -15,5 +17,5 @@
    ("read2fromopa" fun nil (lib "readoldoparestart.pro" nil "saxo") "Result = %s(unit, params, num)" (nil))
    ("read3fromopa" fun nil (lib "readoldoparestart.pro" nil "saxo") "Result = %s(unit, params, num)" (nil))
-   ("readoldoparestart" pro nil (lib "readoldoparestart.pro" nil "saxo") "%s, filename, jpiglo, jpjglo, jpk" (nil ("bsfb") ("bsfd") ("bsfn") ("en") ("etab") ("etan") ("gcx") ("gcxb") ("hdivb") ("hdivn") ("IBLOC") ("JPBYT") ("NUMREC") ("rotb") ("rotn") ("sb") ("sn") ("tb") ("tn") ("ub") ("un") ("vb") ("vn")))
+   ("readoldoparestart" pro nil (lib "readoldoparestart.pro" nil "saxo") "%s, filename, jpiglo, jpjglo, jpk" (nil ("BSFB") ("BSFD") ("BSFN") ("EN") ("ETAB") ("ETAN") ("GCX") ("GCXB") ("HDIVB") ("HDIVN") ("IBLOC") ("JPBYT") ("NUMREC") ("ROTB") ("ROTN") ("SB") ("SN") ("TB") ("TN") ("UB") ("UN") ("VB") ("VN")))
    ("scanctl" pro nil (lib "scanctl.pro" nil "saxo") "%s, filename, filesname, jpt1file, varsname, varslev, swapbytes, bigendian, littleendian, f77sequential, fileheader, theader, xyheader" (nil ("_EXTRA") ("VARFMT")))
    ("scanoasis" pro nil (lib "scanoasis.pro" nil "saxo") "%s, filename" (nil))
Index: /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 288)
@@ -21,4 +21,4 @@
    ("norme" fun nil (lib "norme.pro" nil "saxo") "Result = %s(composanteu, composantev)" (nil ("_EXTRA") ("BOXZOOM") ("DIREC")))
    ("projectondepth" fun nil (lib "projectondepth.pro" nil "saxo") "Result = %s(arrayin, depthin)" (nil))
-   ("remplit" fun nil (lib "remplit.pro" nil "saxo") "Result = %s(zinput)" (nil ("_EXTRA") ("BASIQUE") ("FILLVAL") ("FILLXDIR") ("FILLYDIR") ("mask") ("NAN") ("NITER")))
+   ("remplit" fun nil (lib "remplit.pro" nil "saxo") "Result = %s(zinput)" (nil ("_EXTRA") ("BASIQUE") ("FILLVAL") ("FILLXDIR") ("FILLYDIR") ("MASK") ("NAN") ("NITER")))
    ("rhon" fun nil (lib "rhon.pro" nil "saxo") "Result = %s(sn, tn)" (nil ("INSITU") ("SIGMA_N")))))
Index: /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog	(revision 288)
@@ -6,3 +6,3 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("initncdf" pro nil (lib "initncdf.pro" nil "saxo") "%s, ncfilein" (nil ("_EXTRA") ("INVMASK") ("MASKNAME") ("MISSING_VALUE") ("START1") ("USEASMASK") ("XYINDEX") ("ZAXISNAME") ("ZINDEX")))))
+ '(("initncdf" pro nil (lib "initncdf.pro" nil "saxo") "%s, ncfilein" (nil ("_EXTRA") ("START1") ("XYINDEX") ("ZAXISNAME") ("ZINDEX")))))
Index: /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 288)
@@ -14,5 +14,5 @@
    ("ftp_parse_pasv" pro nil (lib "read_ftp.pro" nil "saxo") "%s, text, host, port" (nil))
    ("read_ftp" pro nil (lib "read_ftp.pro" nil "saxo") "%s, site, files, dir, port" (nil ("data") ("file") ("pass") ("ptr") ("user")))
-   ("read_ncdf" fun nil (lib "read_ncdf.pro" nil "saxo") "Result = %s(name, beginning, ending, compatibility)" (nil ("_EXTRA") ("BOXZOOM") ("CALLITSELF") ("CONT_NOFILL") ("FILENAME") ("GRID") ("INIT") ("NOSTRUCT") ("PARENTIN") ("TIMESTEP") ("TIMEVAR") ("TOUT") ("ZETAFILENAME") ("ZETAZERO")))
+   ("read_ncdf" fun nil (lib "read_ncdf.pro" nil "saxo") "Result = %s(name, beginning, ending, compatibility)" (nil ("_EXTRA") ("ADDSCL_BEFORE") ("BOXZOOM") ("CALLITSELF") ("CONT_NOFILL") ("DIREC") ("FILENAME") ("GRID") ("INIT") ("NOSTRUCT") ("PARENTIN") ("TIMESTEP") ("TOUT") ("ZETAFILENAME") ("ZETAZERO")))
    ("xncdf_lec" fun nil (lib "xncdf_lec.pro" nil "saxo") "Result = %s(name)" (nil ("ATT") ("COUNT") ("GROUP") ("IODIR") ("OFFSET") ("SHIFT") ("STRIDE") ("VAR")))
    ("wid_var_event" pro nil (lib "xncdf_lec.pro" nil "saxo") "%s, event" (nil))
Index: /trunk/SRC/ToBeReviewed/LECTURE/GRIB/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/GRIB/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/LECTURE/GRIB/.idlwave_catalog	(revision 288)
@@ -6,6 +6,6 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("bit2int" fun nil (lib "bit2int.pro" nil "saxo") "Result = %s(bitin)" (nil ("checkneg")))
-   ("read_grib" fun nil (lib "read_grib.pro" nil "saxo") "Result = %s(varcode, date1, date2)" (nil ("file")))
+ '(("bit2int" fun nil (lib "bit2int.pro" nil "saxo") "Result = %s(bitin)" (nil ("CHECKNEG")))
+   ("read_grib" fun nil (lib "read_grib.pro" nil "saxo") "Result = %s(varcode, date1, date2)" (nil ("FILE")))
    ("read_grib_bds" fun nil (lib "read_grib_bds.pro" nil "saxo") "Result = %s(num, recstart, ni, nj)" (nil))
    ("read_grib_end" pro nil (lib "read_grib_end.pro" nil "saxo") "%s, num, offset" (nil))
@@ -13,5 +13,5 @@
    ("read_grib_is" fun nil (lib "read_grib_is.pro" nil "saxo") "Result = %s(num, offset)" (nil))
    ("read_grib_pds" fun nil (lib "read_grib_pds.pro" nil "saxo") "Result = %s(num, recstart)" (nil))
-   ("read_gribtable" pro nil (lib "read_gribtable.pro" nil "saxo") "%s, tablename" (nil ("center") ("parmtabl") ("subcenter") ("tablnum")))
+   ("read_gribtable" pro nil (lib "read_gribtable.pro" nil "saxo") "%s, tablename" (nil ("CENTER") ("PARMTABL") ("SUBCENTER") ("TABLNUM")))
    ("scan_grib_code" fun nil (lib "scan_grib_code.pro" nil "saxo") "Result = %s(num, recstart)" (nil))
    ("scan_grib_date" fun nil (lib "scan_grib_date.pro" nil "saxo") "Result = %s(num, recstart)" (nil))
Index: /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 288)
@@ -8,6 +8,6 @@
  '(("axe" pro nil (lib "axe.pro" nil "saxo") "%s, coupe, tempsmin, tempsmax" (nil ("_EXTRA") ("DIGITSYEAR") ("REVERSE_X") ("REVERSE_Y") ("SEPDATE") ("SIN")))
    ("legende" pro nil (lib "legende.pro" nil "saxo") "%s, mi, ma, coupe" (nil ("_EXTRA") ("CONTOUR") ("DIREC") ("ENDPOINTS") ("INTERVALLE") ("NPTS") ("TYPE_YZ") ("VARNAME2") ("VECTLEGENDE")))
-   ("plotsym" fun nil (lib "plotsym.pro" nil "saxo") "Result = %s" (nil ("_EXTRA") ("angle") ("box") ("circle") ("diamond") ("line") ("scale") ("triangle")))
-   ("reinitplt" pro nil (lib "reinitplt.pro" nil "saxo") "%s" (nil ("all") ("invert") ("p") ("x") ("y") ("z")))
+   ("plotsym" fun nil (lib "plotsym.pro" nil "saxo") "Result = %s" (nil ("_EXTRA") ("ANGLE") ("BOX") ("CIRCLE") ("DIAMOND") ("LINE") ("SCALE") ("TRIANGLE")))
+   ("reinitplt" pro nil (lib "reinitplt.pro" nil "saxo") "%s" (nil ("ALL") ("INVERT") ("P") ("X") ("Y") ("Z")))
    ("style" pro nil (lib "style.pro" nil "saxo") "%s, labstyle, level_z2d, linestyle, thick" (nil))
-   ("symbols" pro nil (lib "symbols.pro" nil "saxo") "%s, nsym, scale" (nil ("color")))))
+   ("symbols" pro nil (lib "symbols.pro" nil "saxo") "%s, nsym, scale" (nil ("COLOR")))))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 288)
@@ -6,13 +6,13 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("background") ("barnames") ("baroffset") ("barspace") ("barwidth") ("baselines") ("baserange") ("colors") ("outline") ("overplot") ("rotate") ("title") ("xtitle") ("ytitle")))
+ '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("BACKGROUND") ("BARNAMES") ("BAROFFSET") ("BARSPACE") ("BARWIDTH") ("BASELINES") ("BASERANGE") ("COLORS") ("OUTLINE") ("OVERPLOt") ("ROTATE") ("TITLE") ("XTITLE") ("YTITLE")))
    ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
    ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))
-   ("pltbase" pro nil (lib "pltbase.pro" nil "saxo") "%s, z2d, x, y, mask, xm, ym, levels, colors" (nil ("_EXTRA") ("COINDESCENDMASK") ("COINDESCENDNAN") ("COINMONTEMASK") ("COINMONTENAN") ("COLOR_C") ("COLORPOINTS") ("COLORTRICHAMP") ("COLORTRIMASK") ("COLORTRINAN") ("CONT_COLOR") ("CONT_NOFILL") ("CONTOUR") ("DESSTRICHAMP") ("DESSTRIMASK") ("DESSTRINAN") ("DRAWPOINTS") ("EXCHANGE_XY") ("FORPLT") ("I_COLORS") ("INDICEZOOMMASK") ("INDICEZOOMNAN") ("MASKNAN") ("MASKORG") ("MORE") ("NAN") ("NOCONTOUR") ("NOFILL") ("REALCONT") ("REALSECTION") ("TH_TRICHAMP") ("TH_TRIMASK") ("TRICHAMP") ("TRIMSK") ("TRINAN") ("UNLABSUR") ("UNSUR2") ("usetri")))
+   ("pltbase" pro nil (lib "pltbase.pro" nil "saxo") "%s, z2d, x, y, mask, xm, ym, levels, colors" (nil ("_EXTRA") ("COINDESCENDMASK") ("COINDESCENDNAN") ("COINMONTEMASK") ("COINMONTENAN") ("COLOR_C") ("COLORPOINTS") ("COLORTRICHAMP") ("COLORTRIMASK") ("COLORTRINAN") ("CONT_COLOR") ("CONT_NOFILL") ("CONTOUR") ("DESSTRICHAMP") ("DESSTRIMASK") ("DESSTRINAN") ("DRAWPOINTS") ("EXCHANGE_XY") ("FORPLT") ("I_COLORS") ("INDICEZOOMMASK") ("INDICEZOOMNAN") ("MASKNAN") ("MASKORG") ("MORE") ("NAN") ("NOCONTOUR") ("NOFILL") ("REALCONT") ("REALSECTION") ("TH_TRICHAMP") ("TH_TRIMASK") ("TRICHAMP") ("TRIMSK") ("TRINAN") ("UNLABSUR") ("UNSUR2") ("USETRI")))
    ("pltsc" pro nil (lib "pltsc.pro" nil "saxo") "%s, tab1, tab2, min1, max1, min2, max2, varname2" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("OV1D") ("STY1D")))
    ("pltt" pro nil (lib "pltt.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax, datmin, datmax" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("EXCHANGE_XY") ("FILTER") ("INTERVALLE") ("INV") ("LABEL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("OV1D") ("OVERPLOT") ("REPEAT_C") ("STRICTFILL") ("STY1D") ("STYLE") ("TREND_TYPE") ("TT") ("TYPEIN") ("XT") ("YT") ("ZT")))
-   ("pltv" pro nil (lib "pltv.pro" nil "saxo") "%s, data, min, max" (nil ("_EXTRA") ("BOTTOM") ("BOXZOOM") ("C_MASK") ("C_NAN") ("MASKVAL") ("MAXIN") ("MININ") ("NCOLORS") ("NOINTERP")))
+   ("pltv" pro nil (lib "pltv.pro" nil "saxo") "%s, data, min, max" (nil ("_EXTRA") ("BOTTOM") ("BOXZOOM") ("C_MASK") ("C_NAN") ("INV") ("MASKVAL") ("MAXIN") ("MININ") ("NCOLORS") ("NOINTERP")))
    ("pltz" pro nil (lib "pltz.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax" (nil ("_EXTRA") ("BOXZOOM") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("FILLXDIR") ("INTERVALLE") ("INV") ("LABEL") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("NOTRI") ("OVERPLOT") ("REALSECTION") ("SIN") ("STRICTFILL") ("STYLE") ("TYPEIN") ("USETRI") ("WDEPTH") ("XZ") ("YZ") ("ZOOM") ("ZRATIO")))
-   ("sbar_plot" pro nil (lib "sbar_plot.pro" nil "saxo") "%s, Values" (nil ("_EXTRA") ("COLORS") ("NOREINITPLT")))
+   ("sbar_plot" pro nil (lib "sbar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("COLORS") ("NOREINITPLT")))
    ("scontour" pro nil (lib "scontour.pro" nil "saxo") "%s, x, y, z" (nil ("_EXTRA") ("NOREINITPLT")))
    ("splot" pro nil (lib "splot.pro" nil "saxo") "%s, x, y" (nil ("_EXTRA") ("NOREINITPLT")))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 288)
@@ -15,9 +15,9 @@
    ("checkfield" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(field, procedure)" (nil ("_EXTRA") ("BOXZOOM") ("DIREC") ("NOQUESTION") ("TYPE") ("VECTEUR") ("WDEPTH")))
    ("checktypeminmax" pro nil (lib "checktypeminmax.pro" nil "saxo") "%s, procedure" (nil ("_EXTRA") ("ENDPOINTS") ("MAX") ("MIN") ("TT") ("TYPE") ("XINDEX") ("XT") ("XX") ("XY") ("XZ") ("YINDEX") ("YT") ("YY") ("YZ") ("ZT") ("ZZ")))
-   ("determineminmax" pro nil (lib "determineminmax.pro" nil "saxo") "%s, tab, mask, vraimin, vraimax, glam, gphi" (nil ("_EXTRA") ("INTERVALLE") ("MAXIN") ("MININ") ("usetri") ("ZEROMIDDLE")))
+   ("determineminmax" pro nil (lib "determineminmax.pro" nil "saxo") "%s, tab, mask, vraimin, vraimax, glam, gphi" (nil ("_EXTRA") ("INTERVALLE") ("MAXIN") ("MININ") ("USETRI") ("ZEROMIDDLE")))
    ("givewindowsize" fun nil (lib "givewindowsize.pro" nil "saxo") "Result = %s" (nil))
    ("meridienparallele" pro nil (lib "meridienparallele.pro" nil "saxo") "%s, coupe" (nil))
    ("placecolor" pro nil (lib "placecolor.pro" nil "saxo") "%s, pos" (nil ("_EXTRA")))
-   ("placedessin" pro nil (lib "placedessin.pro" nil "saxo") "%s, typedessin, posfenetre, posbar" (nil ("_EXTRA") ("BARMARGES") ("BASICMARGES") ("CB_TITLE") ("COLOR_c") ("CONTOUR") ("DIREC") ("ENDPOINTS") ("LANDSCAPE") ("LCT") ("MAP") ("MARGES") ("NOCOLORBAR") ("NOERASE") ("NOFILL") ("PORTRAIT") ("POST") ("REMPLI") ("SMALL") ("TYPE") ("VECTEUR") ("WINDOW")))
+   ("placedessin" pro nil (lib "placedessin.pro" nil "saxo") "%s, typedessin, posfenetre, posbar, dtasize" (nil ("_EXTRA") ("BARMARGES") ("BASICMARGES") ("CB_TITLE") ("COLOR_c") ("CONTOUR") ("DIREC") ("ENDPOINTS") ("LANDSCAPE") ("LCT") ("MAP") ("MARGES") ("NOCOLORBAR") ("NOERASE") ("NOFILL") ("PORTRAIT") ("POST") ("REMPLI") ("SMALL") ("TYPE") ("VECTEUR") ("WINDOW")))
    ("projsegment" fun nil (lib "projsegment.pro" nil "saxo") "Result = %s(vecteur, bornes)" (nil ("MP")))
    ("restoreatt" pro nil (lib "restoreatt.pro" nil "saxo") "%s, struct" (nil))
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog	(revision 288)
@@ -10,3 +10,3 @@
    ("normalise" pro nil (lib "vecteur.pro" nil "saxo") "%s, u, v, w" (nil))
    ("vecteur" pro nil (lib "vecteur.pro" nil "saxo") "%s, composanteu, composantev, normevecteur, indice2d, reduitindice2d" (nil ("_EXTRA") ("CMREF") ("MISSING") ("NORMEREF") ("NOVECTREF") ("VECTCOLOR") ("VECTREFFORMAT") ("VECTREFPOS") ("VECTTHICK")))
-   ("velovect" pro nil (lib "velovect.pro" nil "saxo") "%s, U, V, X, Y" (nil ("_EXTRA") ("CLIP") ("Color") ("Dots") ("Length") ("Missing") ("NOCLIP") ("OVERPLOT")))))
+   ("velovect" pro nil (lib "velovect.pro" nil "saxo") "%s, u, v, x, y" (nil ("_EXTRA") ("CLIP") ("COLOR") ("DOTS") ("LENGTH") ("MISSING") ("NOCLIP") ("OVERPLOT")))))
Index: /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog	(revision 288)
@@ -6,8 +6,8 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("auto_cov2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(X, Lag)" (nil ("DOUBLE") ("ZERO2NAN")))
-   ("a_correlate2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(X, Lag)" (nil ("Covariance") ("Double")))
-   ("timeauto_cov" fun nil (lib "a_timecorrelate.pro" nil "saxo") "Result = %s(X, M, nT)" (nil ("Double") ("zero2nan")))
-   ("a_timecorrelate" fun nil (lib "a_timecorrelate.pro" nil "saxo") "Result = %s(X, Lag)" (nil ("COVARIANCE") ("DOUBLE")))
-   ("timecross_cov" fun nil (lib "c_timecorrelate.pro" nil "saxo") "Result = %s(Xd, Yd, M, nT, Ndim)" (nil ("Double") ("ZERO2NAN")))
-   ("c_timecorrelate" fun nil (lib "c_timecorrelate.pro" nil "saxo") "Result = %s(X, Y, Lag)" (nil ("Covariance") ("Double")))))
+ '(("auto_cov2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(x, lag)" (nil ("DOUBLE") ("ZERO2NAN")))
+   ("a_correlate2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(x, lag)" (nil ("COVARIANCE") ("DOUBLE")))
+   ("timeauto_cov" fun nil (lib "a_timecorrelate.pro" nil "saxo") "Result = %s(x, m, nt)" (nil ("DOUBLE") ("ZERO2NAN")))
+   ("a_timecorrelate" fun nil (lib "a_timecorrelate.pro" nil "saxo") "Result = %s(x, lag)" (nil ("COVARIANCE") ("DOUBLE")))
+   ("timecross_cov" fun nil (lib "c_timecorrelate.pro" nil "saxo") "Result = %s(xd, yd, m, nt, ndim)" (nil ("DOUBLE") ("ZERO2NAN")))
+   ("c_timecorrelate" fun nil (lib "c_timecorrelate.pro" nil "saxo") "Result = %s(x, y, lag)" (nil ("COVARIANCE") ("DOUBLE")))))
Index: /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 288)
@@ -7,19 +7,19 @@
 (setq idlwave-library-catalog-routines
  '(("chkeywd" fun nil (lib "chkeywd.pro" nil "saxo") "Result = %s(stringin, keywdname, keywdvalue)" (nil ("AFTER") ("SEPARATOR")))
-   ("delchr" fun nil (lib "delchr.pro" nil "saxo") "Result = %s(OLD, C)" (nil ("help")))
-   ("getfile" fun nil (lib "getfile.pro" nil "saxo") "Result = %s(filein)" (nil ("error") ("find") ("help") ("lines") ("quiet")))
-   ("getwrd" fun nil (lib "getwrd.pro" nil "saxo") "Result = %s(TXTSTR, NTH, MTH)" (nil ("delimiter") ("help") ("last") ("location") ("notrim") ("nwords")))
-   ("isnumber" fun nil (lib "isnumber.pro" nil "saxo") "Result = %s(txt0, x)" (nil ("help")))
+   ("delchr" fun nil (lib "delchr.pro" nil "saxo") "Result = %s(old, c)" (nil ("HELP")))
+   ("getfile" fun nil (lib "getfile.pro" nil "saxo") "Result = %s(filein)" (nil ("error") ("FIND") ("HELP") ("LINES") ("QUIET")))
+   ("getwrd" fun nil (lib "getwrd.pro" nil "saxo") "Result = %s(txtstr, nth, mth)" (nil ("DELIMITER") ("HELP") ("LAST") ("LOCATION") ("NOTRIM") ("NWORDS")))
+   ("isnumber" fun nil (lib "isnumber.pro" nil "saxo") "Result = %s(txt0, x)" (nil ("HELP")))
    ("lenstr" fun nil (lib "lenstr.pro" nil "saxo") "Result = %s(str)" (nil))
-   ("nwrds" fun nil (lib "nwrds.pro" nil "saxo") "Result = %s(txtstr)" (nil ("delimiter") ("help")))
-   ("putfile" pro nil (lib "putfile.pro" nil "saxo") "%s, file, s" (nil ("error") ("help")))
-   ("str_size" fun nil (lib "str_size.pro" nil "saxo") "Result = %s(string, targetWidth)" (nil ("INITSIZE") ("STEP")))
+   ("nwrds" fun nil (lib "nwrds.pro" nil "saxo") "Result = %s(txtstr)" (nil ("DELIMITER") ("HELP")))
+   ("putfile" pro nil (lib "putfile.pro" nil "saxo") "%s, file, s" (nil ("ERROR") ("HELP")))
+   ("str_size" fun nil (lib "str_size.pro" nil "saxo") "Result = %s(string, targetwidth)" (nil ("INITSIZE") ("STEP")))
    ("too_cool" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s" (nil ("_EXTRA")))
    ("string2struct" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s(strVal)" (nil))
    ("strkeywd" fun nil (lib "strkeywd.pro" nil "saxo") "Result = %s(struct)" (nil))
    ("strright" fun nil (lib "strright.pro" nil "saxo") "Result = %s(s, lastn)" (nil))
-   ("strsci" fun nil (lib "strsci.pro" nil "saxo") "Result = %s(Data)" (nil ("Format") ("MANTISSA_ONLY") ("POT_Only") ("SHORT") ("TRIM")))
+   ("strsci" fun nil (lib "strsci.pro" nil "saxo") "Result = %s(data)" (nil ("FORMAT") ("MANTISSA_ONLY") ("POT_ONLY") ("SHORT") ("TRIM")))
    ("strsed" fun nil (lib "strsed.pro" nil "saxo") "Result = %s(str, exp1, exp2)" (nil ("FOLD_CASE")))
    ("strtok" fun nil (lib "strtok.pro" nil "saxo") "Result = %s(string, token)" (nil ("HELP") ("TRIM")))
-   ("strwhere" fun nil (lib "strwhere.pro" nil "saxo") "Result = %s(str, schar, Count)" (nil))
+   ("strwhere" fun nil (lib "strwhere.pro" nil "saxo") "Result = %s(str, schar, count)" (nil))
    ("tostr" fun nil (lib "tostr.pro" nil "saxo") "Result = %s(input)" (nil))))
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog	(revision 288)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("chkstru" fun nil (lib "chkstru.pro" nil "saxo") "Result = %s(structure, fields)" (nil ("extract") ("index") ("verbose")))
+ '(("chkstru" fun nil (lib "chkstru.pro" nil "saxo") "Result = %s(structure, fields)" (nil ("EXTRACT") ("INDEX") ("VERBOSE")))
    ("extractstru" fun nil (lib "extractstru.pro" nil "saxo") "Result = %s(stru, liste)" (nil ("DELETE") ("KEEP")))
    ("mixstru" fun nil (lib "mixstru.pro" nil "saxo") "Result = %s(stru1, stru2)" (nil))
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 288)
@@ -14,5 +14,5 @@
    ("dessinetri" pro nil (lib "dessinetri.pro" nil "saxo") "%s, tri, x, y" (nil ("_EXTRA") ("CHANGECOLOR") ("FILL") ("ONEBYONE") ("WAIT")))
    ("drawcoast_c" pro nil (lib "drawcoast_c.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("XSEUIL") ("YSEUIL")))
-   ("drawcoast_e" pro nil (lib "drawcoast_e.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("onemore") ("XSEUIL") ("YSEUIL")))
+   ("drawcoast_e" pro nil (lib "drawcoast_e.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("ONEMORE") ("XSEUIL") ("YSEUIL")))
    ("drawsectionbottom" pro nil (lib "drawsectionbottom.pro" nil "saxo") "%s, maskin, xxaxisin, depthsin" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("CONT_COLOR") ("CONT_NOFILL") ("OVERPLOT")))
    ("fillcornermask" pro nil (lib "fillcornermask.pro" nil "saxo") "%s, xin, yin" (nil ("_EXTRA") ("COINDESCEND") ("COINMONTE") ("CONT_COLOR") ("INDICEZOOM")))
Index: /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 288)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("findtopid" fun nil (lib "findtopid.pro" nil "saxo") "Result = %s(WIDGET_ID)" (nil))
+ '(("findtopid" fun nil (lib "findtopid.pro" nil "saxo") "Result = %s(widget_id)" (nil))
    ("slec" fun nil (lib "slec.pro" nil "saxo") "Result = %s(name, debut, fin, nomexp)" (nil ("_EXTRA") ("BOXZOOM") ("PARENT")))
    ("xnotice" fun nil (lib "xnotice.pro" nil "saxo") "Result = %s(text)" (nil ("CHKWIDGET")))
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog	(revision 288)
@@ -26,5 +26,5 @@
    ("selectfile" fun nil (lib "selectfile.pro" nil "saxo") "Result = %s(datafilename, idlfile, argspro)" (nil ("_EXTRA")))
    ("singleclickaction" pro nil (lib "singleclickaction.pro" nil "saxo") "%s, event" (nil))
-   ("tracecadre" pro nil (lib "tracecadre.pro" nil "saxo") "%s, small" (nil ("erase") ("fill") ("out")))
+   ("tracecadre" pro nil (lib "tracecadre.pro" nil "saxo") "%s, small" (nil ("ERASE") ("FILL") ("OUT")))
    ("updatewidget" pro nil (lib "updatewidget.pro" nil "saxo") "%s, base" (nil ("NOBOXZOOM") ("NODATES") ("NOTYPE")))
    ("xcreateanim_event" pro nil (lib "xcreateanim.pro" nil "saxo") "%s, event" (nil))
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog	(revision 288)
@@ -14,5 +14,5 @@
    ("get_cal_value" fun nil (lib "cw_calendar.pro" nil "saxo") "Result = %s(id, winfoid)" (nil))
    ("set_cal_combobox" pro nil (lib "cw_calendar.pro" nil "saxo") "%s, event, casename, date0" (nil))
-   ("move" pro nil (lib "cw_calendar.pro" nil "saxo") "%s, event, casename" (nil))
+   ("cw_cal_move" pro nil (lib "cw_calendar.pro" nil "saxo") "%s, event, casename" (nil))
    ("cw_calendar_event" fun nil (lib "cw_calendar.pro" nil "saxo") "Result = %s(event)" (nil))
    ("cw_calendar" fun nil (lib "cw_calendar.pro" nil "saxo") "Result = %s(parent, calendar, jdate0)" (nil ("_EXTRA") ("CALTYPE") ("FAKECAL") ("UNAME") ("UVALUE")))
@@ -33,5 +33,5 @@
    ("cw_slide_slice_set_value" pro nil (lib "cw_slide_slice.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_slide_slice_event" fun nil (lib "cw_slide_slice.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_slide_slice" fun nil (lib "cw_slide_slice.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("boxzoom") ("COLUMN") ("FRAME") ("ROW") ("UNAME") ("UVALUE")))
+   ("cw_slide_slice" fun nil (lib "cw_slide_slice.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("BOXZOOM") ("COLUMN") ("FRAME") ("ROW") ("UNAME") ("UVALUE")))
    ("decvalue" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(value)" (nil))
    ("decind" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(value)" (nil))
@@ -39,5 +39,5 @@
    ("cw_slider_pm_get_value" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_slider_pm_event" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_slider_pm" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("MAXIMUM") ("MINIMUM") ("STRMINLEN") ("title") ("UNAME") ("UVALUE") ("VALUE")))
+   ("cw_slider_pm" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("MAXIMUM") ("MINIMUM") ("STRMINLEN") ("TITLE") ("UNAME") ("UVALUE") ("VALUE")))
    ("cw_specifie_set_value" pro nil (lib "cw_specifie.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_specifie_get_value" fun nil (lib "cw_specifie.pro" nil "saxo") "Result = %s(id)" (nil))
Index: /trunk/SRC/Utilities/.idlwave_catalog
===================================================================
--- /trunk/SRC/Utilities/.idlwave_catalog	(revision 287)
+++ /trunk/SRC/Utilities/.idlwave_catalog	(revision 288)
@@ -20,8 +20,8 @@
    ("protype" fun nil (lib "protype.pro" nil "saxo") "Result = %s(file)" (nil))
    ("pwd" pro nil (lib "pwd.pro" nil "saxo") "%s" (nil))
-   ("report" fun nil (lib "report.pro" nil "saxo") "Result = %s(text)" (nil ("_EXTRA") ("DEFAULT_NO") ("PARENT") ("QUESTION") ("SIMPLE")))
+   ("report" fun nil (lib "report.pro" nil "saxo") "Result = %s(textin)" (nil ("_EXTRA") ("DEFAULT_NO") ("PARENT") ("QUESTION") ("SIMPLE")))
    ("routine_name" fun nil (lib "routine_name.pro" nil "saxo") "Result = %s(pilingnum)" (nil))
-   ("testvar" fun nil (lib "testvar.pro" nil "saxo") "Result = %s" (nil ("var")))
-   ("text_box" pro nil (lib "text_box.pro" nil "saxo") "%s, text" (nil ("_EXTRA") ("bg_color") ("box") ("center") ("fg_color") ("pos") ("right") ("vert_space")))
+   ("testvar" fun nil (lib "testvar.pro" nil "saxo") "Result = %s" (nil ("VAR")))
+   ("text_box" pro nil (lib "text_box.pro" nil "saxo") "%s, text" (nil ("_EXTRA") ("BG_COLOR") ("BOX") ("CENTER") ("FG_COLOR") ("POS") ("RIGHT") ("VERT_SPACE")))
    ("undefine" pro nil (lib "undefine.pro" nil "saxo") "%s, varname" (nil))
    ("xfile" pro nil (lib "xfile.pro" nil "saxo") "%s, filename" (nil ("_EXTRA")))
